java -jar Sorsastus.jar --help > _help.txt
java -jar Sorsastus.jar --version > _version.txt
java -jar Sorsastus.jar -c ..\src\net\orfjackal > _loc.txt
java -jar Sorsastus.jar -so ..\src\net\orfjackal\sorsastus\SorsastusLauncher.java ..\src\net\orfjackal\sorsastus\FileAnalyzer.java ..\src\net\orfjackal\util\commandline\FileArgument.java ..\src\tests\InterfaceTest3b.java ..\src\tests\InterfaceTest2.java > _test_ex3.txt
java -jar Sorsastus.jar --read-profiler-logs=..\tests\ex4\testData\test1 > _test_ex4_1.txt
java -jar Sorsastus.jar --read-profiler-logs=..\tests\ex4\testData\test2 > _test_ex4_2.txt

goto ex6
@echo.
@echo. EXERCISE 5
@echo.
del /s /q ..\tests\ex5\testData\output\*
del /s /q ..\tests\ex5\testData\classes\*
del /s /q ..\tests\ex5\testData\profiler_logs\*
java -jar Sorsastus.jar --write-profiler-files=..\tests\ex5\testData\output ..\src\net
"D:\Program Files\Java\jdk1.5.0_05\bin\javac.exe" -sourcepath ..\tests\ex5\testData\output -d ..\tests\ex5\testData\classes -classpath ..\lib\antlr-2.7.5.jar;..\lib\annotations.jar ..\tests\ex5\testData\output\net\orfjackal\sorsastus\Sorsastus.java
del profiler_logs\*.log
java -classpath ..\lib\antlr-2.7.5.jar;..\lib\annotations.jar;..\tests\ex5\testData\classes net.orfjackal.sorsastus.Sorsastus -c ..\src
copy profiler_logs\*.log ..\tests\ex5\testData\profiler_logs
java -jar Sorsastus.jar --read-profiler-logs=profiler_logs > _test_ex5.txt

:ex6
@echo.
@echo. EXERCISE 6
@echo.
java -jar Sorsastus.jar --oo-metrics "--jdk-path=D:\Program Files\Java\jdk1.5.0_05" --profiler-main=net.orfjackal.sorsastus.Sorsastus --profiler-runs=10 -P -s -P ../src/net/orfjackal ../src/net/orfjackal > _test_ex6_1.txt 2>&1
del /s /q profiler_logs\*
java -jar Sorsastus.jar --oo-metrics "--jdk-path=D:\Program Files\Java\jdk1.5.0_05" --profiler-main=net.orfjackal.sorsastus.Sorsastus --profiler-runs=10 -P --structure -P --oo-metrics -P ../src/net/orfjackal ../src/net/orfjackal/sorsastus/FileAnalyzer.java > _test_ex6_2.txt 2>&1
del /s /q profiler_logs\*
java -jar Sorsastus.jar --oo-metrics "--jdk-path=D:\Program Files\Java\jdk1.5.0_05" --profiler-main=SimRouter --profiler-runs=5 ..\tests\ex6\testData\sim-reititin-src\PacketBuffer.java ..\tests\ex6\testData\sim-reititin-src\RecievePort.java ..\tests\ex6\testData\sim-reititin-src\Router.java ..\tests\ex6\testData\sim-reititin-src\Ticker.java ..\tests\ex6\testData\sim-reititin-src\Packet.java ..\tests\ex6\testData\sim-reititin-src\SendPort.java ..\tests\ex6\testData\sim-reititin-src\Vector.java ..\tests\ex6\testData\sim-reititin-src\DuplexPort.java ..\tests\ex6\testData\sim-reititin-src\Simulation.java ..\tests\ex6\testData\sim-reititin-src\Statistics.java ..\tests\ex6\testData\sim-reititin-src\DuplexPortVector.java ..\tests\ex6\testData\sim-reititin-src\SimRouter.java ..\tests\ex6\testData\sim-reititin-src\TimeoutQueue.java ..\tests\ex6\testData\sim-reititin-src\RouterVector.java ..\tests\ex6\testData\sim-reititin-src\RouterJoiner.java ..\tests\ex6\testData\sim-reititin-src\RouterJoinHeap.java ..\tests\ex6\testData\sim-reititin-src\ProgressBar.java > _test_ex6_3.txt 2>&1
del /s /q profiler_logs\*
rd profiler_logs
copy _test_ex6_1.txt ..\tests\ex6\testData\
copy _test_ex6_2.txt ..\tests\ex6\testData\
copy _test_ex6_3.txt ..\tests\ex6\testData\

pause
cls